> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getdecisional.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Data Sources Batch

> Deletes multiple data sources in a single request



## OpenAPI

````yaml DELETE /api/v1/data-sources/batch
openapi: 3.0.1
info:
  title: Knowledge Engine API
  description: Public API endpoints for managing knowledge engines
  version: 1.0.0
servers:
  - url: https://api.getdecisional.ai
security: []
paths:
  /api/v1/data-sources/batch:
    delete:
      summary: Delete multiple data sources
      description: Deletes multiple data sources in a single request
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - ids
              properties:
                ids:
                  type: array
                  items:
                    type: string
                  description: Array of data source IDs to delete
                  example:
                    - dsc_abc123xyz789
                    - dsc_abc123xyz790
                    - dsc_abc123xyz791
            example:
              ids:
                - dsc_abc123xyz789
                - dsc_abc123xyz790
                - dsc_abc123xyz791
      responses:
        '200':
          description: Batch delete results
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Data source ID
                    success:
                      type: boolean
                      description: Whether the deletion was successful
                    error:
                      type: string
                      description: Error message if deletion failed
                  required:
                    - id
                    - success
              example:
                - id: dsc_abc123xyz789
                  success: true
                - id: dsc_abc123xyz790
                  success: false
                  error: data source not found
                - id: dsc_abc123xyz791
                  success: true
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                missing_ids:
                  summary: Missing IDs
                  value:
                    error: At least one ID is required
                invalid_format:
                  summary: Invalid Request Format
                  value:
                    error: Invalid request format
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: >-
            Invalid knowledge engine name: exceeds maximum length of 50
            characters

````